$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName;
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)";

$PackageArgs = @{
  PackageName    = $PackageName
  FileType       = 'exe'
  File           = Get-Item $(Join-Path $InstallDir "sagelinks_i686.exe")
  File64         = Get-Item $(Join-Path $InstallDir "sagelinks_amd64.exe")

  SoftwareName   = 'sagelinks*'
  
  SilentArgs     = '/S /SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes = @(0, 1223)
};

Install-ChocolateyPackage @PackageArgs;

Remove-Item $(Get-Item $(Join-Path $InstallDir "sagelinks_i686.exe")) -EA 0 | Out-Null;
Remove-Item $(Get-Item $(Join-Path $InstallDir "sagelinks_amd64.exe")) -EA 0 | Out-Null;

$InstallLocation = Get-AppInstallLocation "$PackageName*";
if ($InstallLocation)  {
    Write-Host "$PackageName installed to '$InstallLocation'.";
    Register-Application "$InstallLocation\$PackageName.exe";
    Write-Host "$PackageName registered as $PackageName.";
} else {
	Write-Warning "Can't find $PackageName install location.";
};